Bug 226553 - Merge Review: xdoclet
Merge Review: xdoclet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 16:18 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 11:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pcheung: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:18:43 EST
Fedora Merge Review: xdoclet

http://cvs.fedora.redhat.com/viewcvs/devel/xdoclet/
Initial Owner: mwringe@redhat.com
Comment 2 Permaine Cheung 2007-04-19 11:19:38 EDT
Please fix item(s) mared by X:
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
* license field matches the actual license.
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie.
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
W: xdoclet non-standard-group Development/Framework
This is OK
* license text included in package and marked with %doc
* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

* Packager tag should not be used
* Vendor tag should not be used
* Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - please get rid of section tag
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
* make sure lines are <= 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
will do this when I can build in mock
* run rpmlint on the binary RPMs
will do this when I can build in mock

SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
X package should build in mock
cant' build in mock:
[pcheung@to-fcjpp1 pcheung]$ mock xdoclet-1.2.3-8jpp.1.src.rpm
init
clean
prep
This may take a while
setup
0:xjavadoc-1.1-4jpp.2.x86_64
No Package Found for mockobjects
0:jakarta-commons-logging-1.0.4-6jpp.1.x86_64
0:log4j-1.2.13-3jpp.2.x86_64
0:jakarta-commons-collections-3.1-9jpp.1.fc7.x86_64
0:struts-1.2.9-4jpp.6.x86_64
0:javacc-4.0-3jpp.3.x86_64
0:ant-trax-1.6.5-4jpp.2.fc7.x86_64
0:java-1.5.0-gcj-devel-1.5.0.0-14.fc7.x86_64
0:ant-nodeps-1.6.5-4jpp.2.fc7.x86_64
0:java-1.5.0-gcj-devel-1.5.0.0-14.fc7.x86_64
0:jakarta-commons-net-1.4.1-2jpp.1.fc7.noarch
0:xml-commons-apis-1.3.03-0jpp.1.fc7.x86_64
0:jpackage-utils-1.7.3-1jpp.2.fc7.noarch
0:xalan-j2-2.7.0-6jpp.1.x86_64
0:velocity-1.4-6jpp.1.x86_64
0:jakarta-commons-lang-2.1-6jpp.1.fc7.x86_64
0:ant-1.6.5-4jpp.2.fc7.x86_64
0:bsf-2.3.0-11jpp.1.x86_64
0:jrefactory-2.8.9-6jpp.3.x86_64
0:junit-3.8.2-3jpp.1.fc7.x86_64

Cannot find build req  mockobjects. Exiting.
ending
done
Comment 3 Matt Wringe 2007-04-25 20:01:05 EDT
(In reply to comment #2)
> 
> X specfile is legible
>  - please get rid of section tag
Done

> X package should build in mock
> cant' build in mock:
> [pcheung@to-fcjpp1 pcheung]$ mock xdoclet-1.2.3-8jpp.1.src.rpm
> init
> clean
> prep
> This may take a while
> setup
> 0:xjavadoc-1.1-4jpp.2.x86_64
> No Package Found for mockobjects
> 0:jakarta-commons-logging-1.0.4-6jpp.1.x86_64
> 0:log4j-1.2.13-3jpp.2.x86_64
> 0:jakarta-commons-collections-3.1-9jpp.1.fc7.x86_64
> 0:struts-1.2.9-4jpp.6.x86_64
> 0:javacc-4.0-3jpp.3.x86_64
> 0:ant-trax-1.6.5-4jpp.2.fc7.x86_64
> 0:java-1.5.0-gcj-devel-1.5.0.0-14.fc7.x86_64
> 0:ant-nodeps-1.6.5-4jpp.2.fc7.x86_64
> 0:java-1.5.0-gcj-devel-1.5.0.0-14.fc7.x86_64
> 0:jakarta-commons-net-1.4.1-2jpp.1.fc7.noarch
> 0:xml-commons-apis-1.3.03-0jpp.1.fc7.x86_64
> 0:jpackage-utils-1.7.3-1jpp.2.fc7.noarch
> 0:xalan-j2-2.7.0-6jpp.1.x86_64
> 0:velocity-1.4-6jpp.1.x86_64
> 0:jakarta-commons-lang-2.1-6jpp.1.fc7.x86_64
> 0:ant-1.6.5-4jpp.2.fc7.x86_64
> 0:bsf-2.3.0-11jpp.1.x86_64
> 0:jrefactory-2.8.9-6jpp.3.x86_64
> 0:junit-3.8.2-3jpp.1.fc7.x86_64
> 
> Cannot find build req  mockobjects. Exiting.
> ending
> done

Fixed, mockobjects has been removed in Fedora and my spec file was a bit outdated.

New SRPM:
https://mwringe.108.redhat.com/files/documents/175/353/xdoclet-1.2.3-8jpp.1.src.rpm

Comment 4 Permaine Cheung 2007-04-26 16:37:53 EDT
* verify the final provides and requires of the binary RPMs
[pcheung@to-fcjpp1 ~]$ rpm -pq --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xdoclet-1.2.3-8jpp.1.fc7.x86_64.rpm
xdoclet-1.2.3.jar.so()(64bit)
xdoclet-apache-module-1.2.3.jar.so()(64bit)
xdoclet-bea-module-1.2.3.jar.so()(64bit)
xdoclet-borland-module-1.2.3.jar.so()(64bit)
xdoclet-caucho-module-1.2.3.jar.so()(64bit)
xdoclet-ejb-module-1.2.3.jar.so()(64bit)
xdoclet-exolab-module-1.2.3.jar.so()(64bit)
xdoclet-hibernate-module-1.2.3.jar.so()(64bit)
xdoclet-hp-module-1.2.3.jar.so()(64bit)
xdoclet-ibm-module-1.2.3.jar.so()(64bit)
xdoclet-java-module-1.2.3.jar.so()(64bit)
xdoclet-jboss-module-1.2.3.jar.so()(64bit)
xdoclet-jdo-module-1.2.3.jar.so()(64bit)
xdoclet-jmx-module-1.2.3.jar.so()(64bit)
xdoclet-jsf-module-1.2.3.jar.so()(64bit)
xdoclet-libelis-module-1.2.3.jar.so()(64bit)
xdoclet-macromedia-module-1.2.3.jar.so()(64bit)
xdoclet-mvcsoft-module-1.2.3.jar.so()(64bit)
xdoclet-mx4j-module-1.2.3.jar.so()(64bit)
xdoclet-objectweb-module-1.2.3.jar.so()(64bit)
xdoclet-openejb-module-1.2.3.jar.so()(64bit)
xdoclet-oracle-module-1.2.3.jar.so()(64bit)
xdoclet-orion-module-1.2.3.jar.so()(64bit)
xdoclet-portlet-module-1.2.3.jar.so()(64bit)
xdoclet-pramati-module-1.2.3.jar.so()(64bit)
xdoclet-solarmetric-module-1.2.3.jar.so()(64bit)
xdoclet-spring-module-1.2.3.jar.so()(64bit)
xdoclet-sun-module-1.2.3.jar.so()(64bit)
xdoclet-sybase-module-1.2.3.jar.so()(64bit)
xdoclet-tjdo-module-1.2.3.jar.so()(64bit)
xdoclet-web-module-1.2.3.jar.so()(64bit)
xdoclet-webwork-module-1.2.3.jar.so()(64bit)
xdoclet-wsee-module-1.2.3.jar.so()(64bit)
xdoclet-xdoclet-module-1.2.3.jar.so()(64bit)
xdoclet = 0:1.2.3-8jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -pq --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xdoclet-1.2.3-8jpp.1.fc7.x86_64.rpm
/bin/sh
/bin/sh
bsf
jakarta-commons-collections
jakarta-commons-logging
java-gcj-compat
java-gcj-compat
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
log4j
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
velocity
xalan-j2 >= 0:2.7.0
xjavadoc = 0:1.1
xml-commons-apis
[pcheung@to-fcjpp1 ~]$ rpm -pq --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xdoclet-debuginfo-1.2.3-8jpp.1.fc7.x86_64.rpm
xdoclet-1.2.3.jar.so.debug()(64bit)
xdoclet-apache-module-1.2.3.jar.so.debug()(64bit)
xdoclet-bea-module-1.2.3.jar.so.debug()(64bit)
xdoclet-borland-module-1.2.3.jar.so.debug()(64bit)
xdoclet-caucho-module-1.2.3.jar.so.debug()(64bit)
xdoclet-ejb-module-1.2.3.jar.so.debug()(64bit)
xdoclet-exolab-module-1.2.3.jar.so.debug()(64bit)
xdoclet-hibernate-module-1.2.3.jar.so.debug()(64bit)
xdoclet-hp-module-1.2.3.jar.so.debug()(64bit)
xdoclet-ibm-module-1.2.3.jar.so.debug()(64bit)
xdoclet-java-module-1.2.3.jar.so.debug()(64bit)
xdoclet-jboss-module-1.2.3.jar.so.debug()(64bit)
xdoclet-jdo-module-1.2.3.jar.so.debug()(64bit)
xdoclet-jmx-module-1.2.3.jar.so.debug()(64bit)
xdoclet-jsf-module-1.2.3.jar.so.debug()(64bit)
xdoclet-libelis-module-1.2.3.jar.so.debug()(64bit)
xdoclet-macromedia-module-1.2.3.jar.so.debug()(64bit)
xdoclet-mvcsoft-module-1.2.3.jar.so.debug()(64bit)
xdoclet-mx4j-module-1.2.3.jar.so.debug()(64bit)
xdoclet-objectweb-module-1.2.3.jar.so.debug()(64bit)
xdoclet-openejb-module-1.2.3.jar.so.debug()(64bit)
xdoclet-oracle-module-1.2.3.jar.so.debug()(64bit)
xdoclet-orion-module-1.2.3.jar.so.debug()(64bit)
xdoclet-portlet-module-1.2.3.jar.so.debug()(64bit)
xdoclet-pramati-module-1.2.3.jar.so.debug()(64bit)
xdoclet-solarmetric-module-1.2.3.jar.so.debug()(64bit)
xdoclet-spring-module-1.2.3.jar.so.debug()(64bit)
xdoclet-sun-module-1.2.3.jar.so.debug()(64bit)
xdoclet-sybase-module-1.2.3.jar.so.debug()(64bit)
xdoclet-tjdo-module-1.2.3.jar.so.debug()(64bit)
xdoclet-web-module-1.2.3.jar.so.debug()(64bit)
xdoclet-webwork-module-1.2.3.jar.so.debug()(64bit)
xdoclet-wsee-module-1.2.3.jar.so.debug()(64bit)
xdoclet-xdoclet-module-1.2.3.jar.so.debug()(64bit)
xdoclet-debuginfo = 0:1.2.3-8jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -pq --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xdoclet-debuginfo-1.2.3-8jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 ~]$ rpm -pq --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xdoclet-javadoc-1.2.3-8jpp.1.fc7.x86_64.rpm
xdoclet-javadoc = 0:1.2.3-8jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -pq --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xdoclet-javadoc-1.2.3-8jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 ~]$ rpm -pq --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xdoclet-manual-1.2.3-8jpp.1.fc7.x86_64.rpm
xdoclet-manual = 0:1.2.3-8jpp.1.fc7
[pcheung@to-fcjpp1 ~]$ rpm -pq --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xdoclet-manual-1.2.3-8jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

* run rpmlint on the binary RPMs
[pcheung@to-fcjpp1 ~]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/*x86*rpm
W: xdoclet non-standard-group Development/Framework
W: xdoclet-javadoc non-standard-group Development/Documentation
W: xdoclet-manual non-standard-group Development/Documentation

These group warnings are OK.

APPROVED
Comment 5 Matt Wringe 2007-04-27 10:59:57 EDT
built into rawhide

Note You need to log in before you can comment on or make changes to this bug.